/// <reference types="node" />
import childProcess from 'child_process';
type SpawnErrorContext = {
    cmdArgs: ReadonlyArray<string>;
    code: number;
    stderr: string;
    stdout: string;
};
export declare class SpawnError extends Error {
    context: SpawnErrorContext;
    constructor(context: SpawnErrorContext);
}
type SpawnPromiseResponse = {
    cmdArgs: ReadonlyArray<string>;
    code: number | null;
    stderr: string;
    stdout: string;
};
export declare function spawnPromise(cmd: string, cmdArgs: ReadonlyArray<string>, cwd: string, isInteractive?: boolean): Promise<SpawnPromiseResponse>;
export declare const spawnStream: (cmd: string, cmdArgs: ReadonlyArray<string>) => childProcess.ChildProcessWithoutNullStreams;
export {};
