import { Client, OperationResult } from '@urql/core';
import type { ValidConfigOptions } from '../../../../options/options';
export interface OperationResultWithMeta<Data = any> extends OperationResult<Data> {
    responseHeaders?: Headers;
    statusCode?: number;
}
export declare function getGraphQLClient({ githubApiBaseUrlV4, accessToken, }: Pick<ValidConfigOptions, 'githubApiBaseUrlV4' | 'accessToken'>): Client;
export declare class GithubV4Exception<T> extends Error {
    result: OperationResultWithMeta<T>;
    constructor(result: OperationResultWithMeta<T>);
}
