"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.disablePullRequestAutoMerge = void 0;
const generated_1 = require("../../../graphql/generated");
const graphqlClient_1 = require("./client/graphqlClient");
const fetchPullRequestId2_1 = require("./fetchPullRequestId2");
async function disablePullRequestAutoMerge(options, pullNumber) {
    const { accessToken, githubApiBaseUrlV4 } = options;
    const pullRequestId = await (0, fetchPullRequestId2_1.fetchPullRequestId)(options, pullNumber);
    const query = (0, generated_1.graphql)(`
    mutation DisablePullRequestAutoMerge($pullRequestId: ID!) {
      disablePullRequestAutoMerge(input: { pullRequestId: $pullRequestId }) {
        pullRequest {
          number
        }
      }
    }
  `);
    const client = (0, graphqlClient_1.getGraphQLClient)({ accessToken, githubApiBaseUrlV4 });
    const result = await client.mutation(query, {
        pullRequestId,
    });
    if (result.error) {
        throw new graphqlClient_1.GithubV4Exception(result);
    }
    return result.data?.disablePullRequestAutoMerge?.pullRequest?.number;
}
exports.disablePullRequestAutoMerge = disablePullRequestAutoMerge;
//# sourceMappingURL=disablePullRequestAutoMerge.js.map