import { ValidConfigOptions } from '../options/options';
import { BackportError } from './BackportError';
import { Commit } from './sourceCommit/parseSourceCommit';
export type SuccessResult = {
    status: 'success';
    didUpdate: boolean;
    targetBranch: string;
    pullRequestUrl: string;
    pullRequestNumber: number;
};
export type HandledErrorResult = {
    status: 'handled-error';
    targetBranch: string;
    error: BackportError;
};
export type UnhandledErrorResult = {
    status: 'unhandled-error';
    targetBranch: string;
    error: Error;
};
export type Result = SuccessResult | HandledErrorResult | UnhandledErrorResult;
export declare function runSequentially({ options, commits, targetBranches, }: {
    options: ValidConfigOptions;
    commits: Commit[];
    targetBranches: string[];
}): Promise<Result[]>;
