import { SourceCommitWithTargetPullRequestFragmentFragment } from '../../graphql/generated/graphql';
export type SourcePullRequestNode = NonNullable<ReturnType<typeof getSourcePullRequest>>;
export declare function getSourcePullRequest(sourceCommit: SourceCommitWithTargetPullRequestFragmentFragment): {
    __typename?: "PullRequest" | undefined;
    title: string;
    url: any;
    number: number;
    baseRefName: string;
    labels?: {
        __typename?: "LabelConnection" | undefined;
        nodes?: ({
            __typename?: "Label" | undefined;
            name: string;
        } | null)[] | null | undefined;
    } | null | undefined;
    mergeCommit?: {
        __typename: "Commit";
        message: string;
        sha: any;
        remoteConfigHistory: {
            __typename?: "CommitHistoryConnection" | undefined;
            edges?: ({
                __typename?: "CommitEdge" | undefined;
                remoteConfig?: {
                    __typename?: "Commit" | undefined;
                    committedDate: any;
                    file?: {
                        __typename: "TreeEntry";
                        object?: {
                            __typename: "Blob";
                            text?: string | null | undefined;
                        } | {
                            __typename?: "Commit" | undefined;
                        } | {
                            __typename?: "Tag" | undefined;
                        } | {
                            __typename?: "Tree" | undefined;
                        } | null | undefined;
                    } | null | undefined;
                } | null | undefined;
            } | null)[] | null | undefined;
        };
    } | null | undefined;
    timelineItems: {
        __typename?: "PullRequestTimelineItemsConnection" | undefined;
        edges?: ({
            __typename?: "PullRequestTimelineItemsEdge" | undefined;
            node?: {
                __typename?: "AddedToMergeQueueEvent" | undefined;
            } | {
                __typename?: "AddedToProjectEvent" | undefined;
            } | {
                __typename?: "AssignedEvent" | undefined;
            } | {
                __typename?: "AutoMergeDisabledEvent" | undefined;
            } | {
                __typename?: "AutoMergeEnabledEvent" | undefined;
            } | {
                __typename?: "AutoRebaseEnabledEvent" | undefined;
            } | {
                __typename?: "AutoSquashEnabledEvent" | undefined;
            } | {
                __typename?: "AutomaticBaseChangeFailedEvent" | undefined;
            } | {
                __typename?: "AutomaticBaseChangeSucceededEvent" | undefined;
            } | {
                __typename?: "BaseRefChangedEvent" | undefined;
            } | {
                __typename?: "BaseRefDeletedEvent" | undefined;
            } | {
                __typename?: "BaseRefForcePushedEvent" | undefined;
            } | {
                __typename?: "ClosedEvent" | undefined;
            } | {
                __typename?: "CommentDeletedEvent" | undefined;
            } | {
                __typename?: "ConnectedEvent" | undefined;
            } | {
                __typename?: "ConvertToDraftEvent" | undefined;
            } | {
                __typename?: "ConvertedNoteToIssueEvent" | undefined;
            } | {
                __typename?: "ConvertedToDiscussionEvent" | undefined;
            } | {
                __typename: "CrossReferencedEvent";
                targetPullRequest: {
                    __typename: "Issue";
                } | {
                    __typename: "PullRequest";
                    url: any;
                    title: string;
                    state: import("../../graphql/generated/graphql").PullRequestState;
                    baseRefName: string;
                    number: number;
                    targetMergeCommit?: {
                        __typename?: "Commit" | undefined;
                        message: string;
                        sha: any;
                    } | null | undefined;
                    repository: {
                        __typename?: "Repository" | undefined;
                        name: string;
                        owner: {
                            __typename?: "Organization" | undefined;
                            login: string;
                        } | {
                            __typename?: "User" | undefined;
                            login: string;
                        };
                    };
                    commits: {
                        __typename?: "PullRequestCommitConnection" | undefined;
                        edges?: ({
                            __typename?: "PullRequestCommitEdge" | undefined;
                            node?: {
                                __typename?: "PullRequestCommit" | undefined;
                                targetCommit: {
                                    __typename?: "Commit" | undefined;
                                    message: string;
                                    sha: any;
                                };
                            } | null | undefined;
                        } | null)[] | null | undefined;
                    };
                };
            } | {
                __typename?: "DemilestonedEvent" | undefined;
            } | {
                __typename?: "DeployedEvent" | undefined;
            } | {
                __typename?: "DeploymentEnvironmentChangedEvent" | undefined;
            } | {
                __typename?: "DisconnectedEvent" | undefined;
            } | {
                __typename?: "HeadRefDeletedEvent" | undefined;
            } | {
                __typename?: "HeadRefForcePushedEvent" | undefined;
            } | {
                __typename?: "HeadRefRestoredEvent" | undefined;
            } | {
                __typename?: "IssueComment" | undefined;
            } | {
                __typename?: "IssueTypeAddedEvent" | undefined;
            } | {
                __typename?: "IssueTypeChangedEvent" | undefined;
            } | {
                __typename?: "IssueTypeRemovedEvent" | undefined;
            } | {
                __typename?: "LabeledEvent" | undefined;
            } | {
                __typename?: "LockedEvent" | undefined;
            } | {
                __typename?: "MarkedAsDuplicateEvent" | undefined;
            } | {
                __typename?: "MentionedEvent" | undefined;
            } | {
                __typename?: "MergedEvent" | undefined;
            } | {
                __typename?: "MilestonedEvent" | undefined;
            } | {
                __typename?: "MovedColumnsInProjectEvent" | undefined;
            } | {
                __typename?: "ParentIssueAddedEvent" | undefined;
            } | {
                __typename?: "ParentIssueRemovedEvent" | undefined;
            } | {
                __typename?: "PinnedEvent" | undefined;
            } | {
                __typename?: "PullRequestCommit" | undefined;
            } | {
                __typename?: "PullRequestCommitCommentThread" | undefined;
            } | {
                __typename?: "PullRequestReview" | undefined;
            } | {
                __typename?: "PullRequestReviewThread" | undefined;
            } | {
                __typename?: "PullRequestRevisionMarker" | undefined;
            } | {
                __typename?: "ReadyForReviewEvent" | undefined;
            } | {
                __typename?: "ReferencedEvent" | undefined;
            } | {
                __typename?: "RemovedFromMergeQueueEvent" | undefined;
            } | {
                __typename?: "RemovedFromProjectEvent" | undefined;
            } | {
                __typename?: "RenamedTitleEvent" | undefined;
            } | {
                __typename?: "ReopenedEvent" | undefined;
            } | {
                __typename?: "ReviewDismissedEvent" | undefined;
            } | {
                __typename?: "ReviewRequestRemovedEvent" | undefined;
            } | {
                __typename?: "ReviewRequestedEvent" | undefined;
            } | {
                __typename?: "SubIssueAddedEvent" | undefined;
            } | {
                __typename?: "SubIssueRemovedEvent" | undefined;
            } | {
                __typename?: "SubscribedEvent" | undefined;
            } | {
                __typename?: "TransferredEvent" | undefined;
            } | {
                __typename?: "UnassignedEvent" | undefined;
            } | {
                __typename?: "UnlabeledEvent" | undefined;
            } | {
                __typename?: "UnlockedEvent" | undefined;
            } | {
                __typename?: "UnmarkedAsDuplicateEvent" | undefined;
            } | {
                __typename?: "UnpinnedEvent" | undefined;
            } | {
                __typename?: "UnsubscribedEvent" | undefined;
            } | {
                __typename?: "UserBlockedEvent" | undefined;
            } | null | undefined;
        } | null)[] | null | undefined;
    };
} | null | undefined;
