import { SourceCommitWithTargetPullRequestFragmentFragment } from '../../graphql/generated/graphql';
import { ValidConfigOptions } from '../../options/options';
import { TargetPullRequest } from './getPullRequestStates';
export interface Commit {
    author: SourceCommitWithTargetPullRequestFragmentFragment['author'];
    sourceCommit: {
        committedDate: string;
        message: string;
        sha: string;
        branchLabelMapping: ValidConfigOptions['branchLabelMapping'];
    };
    sourcePullRequest?: {
        title: string;
        labels: string[];
        number: number;
        url: string;
        mergeCommit?: {
            message: string;
            sha: string;
        };
    };
    sourceBranch: string;
    suggestedTargetBranches: string[];
    targetPullRequestStates: TargetPullRequest[];
}
export declare function parseSourceCommit({ sourceCommit, options, }: {
    sourceCommit: SourceCommitWithTargetPullRequestFragmentFragment;
    options: {
        branchLabelMapping?: ValidConfigOptions['branchLabelMapping'];
        sourceBranch: string;
    };
}): Commit;
export declare const SourceCommitWithTargetPullRequestFragment: import("@graphql-typed-document-node/core").TypedDocumentNode<SourceCommitWithTargetPullRequestFragmentFragment, unknown>;
