import { ConfigFileOptions } from './ConfigOptions';
export type OptionsFromCliArgs = ReturnType<typeof getOptionsFromCliArgs>;
export declare function getOptionsFromCliArgs(processArgs: readonly string[]): {
    accessToken?: string | undefined;
    assignees?: string[] | undefined;
    author?: string | null | undefined;
    autoAssign?: boolean | undefined;
    autoMerge?: boolean | undefined;
    autoMergeMethod?: string | undefined;
    backportBranchName?: string | undefined;
    cherrypickRef?: boolean | undefined;
    commitConflicts?: boolean | undefined;
    commitPaths?: string[] | undefined;
    copySourcePRLabels?: boolean | undefined;
    copySourcePRReviewers?: boolean | undefined;
    details?: boolean | undefined;
    dir?: string | undefined;
    draft?: boolean | undefined;
    dryRun?: boolean | undefined;
    editor?: string | undefined;
    fork?: boolean | undefined;
    gitAuthorEmail?: string | undefined;
    gitAuthorName?: string | undefined;
    gitHostname?: string | undefined;
    githubApiBaseUrlV3?: string | undefined;
    githubApiBaseUrlV4?: string | undefined;
    interactive?: boolean | undefined;
    logFilePath?: string | undefined;
    ls?: boolean | undefined;
    maxNumber?: number | undefined;
    multipleBranches?: boolean | undefined;
    multipleCommits?: boolean | undefined;
    noVerify?: boolean | undefined;
    prDescription?: string | undefined;
    prFilter?: string | undefined;
    projectConfigFile?: string | undefined;
    prTitle?: string | undefined;
    publishStatusCommentOnAbort?: boolean | undefined;
    publishStatusCommentOnFailure?: boolean | undefined;
    publishStatusCommentOnSuccess?: boolean | undefined;
    pullNumber?: number | undefined;
    repoForkOwner?: string | undefined;
    repoName?: string | undefined;
    repoOwner?: string | undefined;
    resetAuthor?: boolean | undefined;
    reviewers?: string[] | undefined;
    sha?: string | undefined;
    signoff?: boolean | undefined;
    skipRemoteConfig?: boolean | undefined;
    noUnmergedBackportsHelp?: boolean | undefined;
    sourceBranch?: string | undefined;
    sourcePRLabels?: string[] | undefined;
    targetBranchChoices?: string[] | undefined;
    targetBranches?: string[] | undefined;
    targetPRLabels?: string[] | undefined;
    cwd?: string | undefined;
    globalConfigFile?: string | undefined;
    dateSince?: string | undefined;
    dateUntil?: string | undefined;
    mainline?: number | undefined;
    onlyMissing?: boolean | undefined;
    telemetry?: boolean | undefined;
};
export declare function getRuntimeArguments(processArgs: string[], optionsFromModule?: ConfigFileOptions): {
    interactive: boolean;
    logFilePath: any;
    ls: any;
};
