"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.exec = void 0;
const child_process_1 = __importDefault(require("child_process"));
const util_1 = require("util");
const execPromisified = (0, util_1.promisify)(child_process_1.default.exec);
async function exec(cmd, options) {
    const res = await execPromisified(cmd, {
        maxBuffer: 100 * 1024 * 1024,
        ...options,
        // ensure that git commands return english error messages
        env: { ...process.env, LANG: 'en_US' },
    });
    return res;
}
exports.exec = exec;
//# sourceMappingURL=childProcessHelper.js.map