import nock from 'nock';
export interface CapturedCall<TVariables = Record<string, any>> {
    query: string;
    variables?: TVariables;
    operationName?: string;
}
export declare function mockUrqlRequest<TData = any, TVariables = Record<string, any>>({ operationName, statusCode, body, headers, apiBaseUrl, }: {
    operationName: string;
    statusCode?: number;
    body?: {
        data: TData;
    } | {
        errors: ReadonlyArray<any>;
    };
    headers?: nock.ReplyHeaders;
    apiBaseUrl?: string;
}): CapturedCall<TVariables>[];
export declare function listenForCallsToNockScope<TVariables>(scope: nock.Scope): CapturedCall<TVariables>[];
